##################################################################
# Author: Giuseppe                                               #
# Date: 2006-12-14                                               #
# Purpose: To test deletes to binary log in row based mode       #
##################################################################

RESET MASTER;

--disable_warnings
drop table if exists t1;
--enable_warnings
create table t1 like mysql.db;
insert into t1 select * from mysql.db;

--enable_info
delete from t1 where db in ('test', 'test_%');
--disable_info

--disable_warnings
drop table if exists t1;
--enable_warnings
FLUSH LOGS;

--exec $MYSQL_BINLOG $MYSQLTEST_VARDIR/log/master-bin.000001 > $MYSQLTEST_VARDIR/tmp/master_1.sql

RESET MASTER;

--enable_info
delete from mysql.db where db in ('test', 'test_%');
--disable_info

FLUSH LOGS;

--exec $MYSQL_BINLOG $MYSQLTEST_VARDIR/log/master-bin.000001 > $MYSQLTEST_VARDIR/tmp/master_2.sql

--exec grep -ci delete var/tmp/master_[12].sql

